Subject: Re: [babel] Robert Wilton's Discuss on draft-ietf-babel-source-specific-07: (with DISCUSS and COMMENT)

From: Juliusz Chroboczek <[email-masked]>
Date: Wed, 21 Apr 2021 19:07:34 +0200

Thanks for your comments.

> My specific discuss issue relates to clarifying the indexes of the 'source' and
> 'route' tables to indicate whether they are replacing the 'prefix-len' elements
> of the existing 3 tuple indexes, or adding additional elements to the existing
> index, effectively making them 5 tuple indexes.

This has been fixed.

> I might be completely confused, but my understanding is that what is called the
> "destination prefix" in this document, is effectively what is referred to as
> the "source" in draft-ietf-babel-rfc6126bis (e.g., in the Route Table in
> section 3.2.5), that also happens to be a prefix.  Is that right?

Not quite.  The "source" is a data structure that, in the original
protocol, contains an originating router-id and a destination prefix plus
some data used by the loop-avoidance algorithm.  Two routes originated by
distinct routers have distinct sources (hence the name); OTOH, if the same
route (same originating router and same prefix) is learnt from two
neighbours, the two routing table entries share a single source.

This is described in RFC 8966 Section 3.2.5.

In this document, the "source" data structure is extended with a "source
prefix/plen".  Confusion ensues, but it's too late to change the original
protocol's terminology.

> A further confusion is that this draft seems to sometimes describes prefixes
> differently from how they are described in the Babel RFC that it is extending.

This has been fixed, sorry for that.

>        Note that the route entry contains a source (see sections 2 and 3.2.5
>        of [BABEL]) which itself contains a source prefix.  These are two
>        very different concepts that should not be confused.

> Should this reference be to 3.2.6?

Arguably both -- the source is described in 3.2.5, while 3.2.6 describes
the route table.

Thanks,

-- Juliusz

---

From: "Rob Wilton (rwilton)" <[email-masked]>
Date: Wed, 21 Apr 2021 17:16:09 +0000

Hi Juliusz,

Thanks for addressing my comments and the explanation.

I have cleared my discuss.

Regards,
Rob

> -----Original Message-----
> From: Juliusz Chroboczek <[email-masked]>
> Sent: 21 April 2021 18:08
> To: Rob Wilton (rwilton) <[email-masked]>
> Cc: The IESG <[email-masked]>; [email-masked];
> [email-masked]; [email-masked]; Donald Eastlake <[email-masked]>
> Subject: Re: Robert Wilton's Discuss on draft-ietf-babel-source-specific-
> 07: (with DISCUSS and COMMENT)
>